ALIYUN-IMG-UTILS IMAGE UPLOAD(1)

NAME
aliyun-img-utils-image-upload - Upload a qcow2 image to a storage bucket...

SYNOPSIS
aliyun-img-utils image upload [OPTIONS]

DESCRIPTION

    Upload a qcow2 image to a storage bucket in the current region.

OPTIONS

--image-file PATH
    Path to qcow2 image. [required]

--page-size INTEGER RANGE
    Size of page size chunks for image upload. Minimum chunk size is 100KB. [x>=102400]

--blob-name TEXT
    Name to use for blob in the storage bucket. By default the filename from image file will be used.

--force-replace-image
    Delete the image prior to upload if it already exists.

--timeout INTEGER RANGE
    Session timeout (in minutes) for image upload. Default is 180 minutes. [x>=1]

--direct-transfer
    Upload directly to region endpoint with no acceleration.

--accelerated-transfer
    (Default) Use transfer acceleration for image upload. See docs for more info: https://www.alibabacloud.com/help/doc-detail/131312.htm.

-C, --config-dir PATH
    Aliyun Image utils config directory to use. Default: ~/.config/aliyun_img_utils/

--profile TEXT
    The configuration profile to use. Expected to match a config file in config directory. Example: production, for ~/.config/aliyun_img_utils/production.yaml. The default value is default: ~/.config/aliyun_img_utils/default.yaml

--no-color
    Remove ANSI color and styling from output.

--verbose
    Display debug level logging to console.

--info
    Display logging info to console. (Default)

--quiet
    Display only errors to console.

--access-key TEXT
    Access key used for authentication of requests.

--access-secret TEXT
    Access secret used for authentication of requests.

--bucket-name TEXT
    Storage bucket to store uploaded images.

--region TEXT
    The region to use for the image requests.